timer.Simple(0, function()
	local reg = debug.getregistry()
	local isArrested = reg.Player.isArrested
	local SetMaxClientSpeed = reg.CMoveData.SetMaxClientSpeed

	function GAMEMODE:SetupMove(ply, mv, cmd)
	    if isArrested(ply) then
			SetMaxClientSpeed(mv, self.Config.arrestspeed)
		end

		if player_manager.RunClass(ply, "StartMove", mv, cmd) then return true end
	end
end)